package ru.yandex.autotests.directapi.darkside.datacontainers.jsonrpc.fake;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * User: xy6er
 */

public class ConvertCurrencyClientFakeInfo {
    @JsonProperty("AddConvertCurrencyQueue")
    private Integer addConvertCurrencyQueue;

    @JsonProperty("ConvertType")
    private String convertType;

    @JsonProperty("Login")
    private String login;

    @JsonProperty("TargetCurrency")
    private String targetCurrency;

    @JsonProperty("SetNDS")
    private Float setNDS;

    @JsonProperty("ForceConvert")
    private String forceConvert;

    @JsonProperty("DelayConvert")
    private Integer delayConvert;

    public Integer getAddConvertCurrencyQueue() {
        return addConvertCurrencyQueue;
    }

    public void setAddConvertCurrencyQueue(Integer addConvertCurrencyQueue) {
        this.addConvertCurrencyQueue = addConvertCurrencyQueue;
    }

    public String getConvertType() {
        return convertType;
    }

    public void setConvertType(String convertType) {
        this.convertType = convertType;
    }

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public String getTargetCurrency() {
        return targetCurrency;
    }

    public void setTargetCurrency(String targetCurrency) {
        this.targetCurrency = targetCurrency;
    }

    public Float getSetNDS() {
        return setNDS;
    }

    public void setSetNDS(Float setNDS) {
        this.setNDS = setNDS;
    }

    public String getForceConvert() {
        return forceConvert;
    }

    public void setForceConvert(String forceConvert) {
        this.forceConvert = forceConvert;
    }

    public Integer getDelayConvert() {
        return delayConvert;
    }

    public void setDelayConvert(Integer delayConvert) {
        this.delayConvert = delayConvert;
    }
}
